<template>
    <div :style="{'margin-bottom': 5 * $POS.schedule.length + 'px'}">
       <div class="summary-info">
           <div class="payment-schedule-info">
               <div class="data">
                   <div class="title">Ежемесячный платеж</div>
                   <div class="info">
                       <strong>{{currentPay.amount|currency}} ₽</strong>
                       до {{currentPay.date|date}}
                   </div>
               </div>
               <div class="schedule">
                   <div class="blocks">
                       <div v-for="(schedule, index) in $POS.schedule" :key="index" class="block" :class="{fill: index <= currentPayIndex}"></div>
                   </div>
                   <div class="info">
                       {{currentPayIndex + 1}} из {{$POS.schedule.length}}
                   </div>
               </div>
           </div>

           <div class="payment-action">
               <div class="payment-button">
                   <button @click="pay">Внести платеж</button>
                   <span>Перейти к процессу оплаты</span>
               </div>
           </div>
       </div>

        <schedule-list :list="$POS.schedule"></schedule-list>
    </div>
</template>

<script>
	import {ruMonthName} from '@/helpers/index'
    import dayjs from 'dayjs';
	import ScheduleMixin from '../mixins/schedule.js';
	import SVGIcon from '@/components/SVGIcon'
    import ScheduleList from './schedule-list.vue';
	export default {
        name: 'component-pos-loan-schedule',
        mixins: [ScheduleMixin],
        components: {
        	SVGIcon,
            ScheduleList
        },

        data () {
        	return {
                expand: false
            }
        },

        filters: {
			date(value) {
				const date = dayjs(value);
				return date.format('DD') + ' ' + ruMonthName(date.format('MM')) + ' ' + date.format('YYYY');
			}
        },

        methods: {
        	pay () {
        		this.$store.commit('SET_PAYMENT', {
        			amount: this.getPaymentAmount(),
                    type: 'POS'
                });

        		this.$router.push({name: 'pos', params: {
        			page: 'payment'
        		}})
            },


            getPaymentAmount () {
        		return 300;
            }
        }


	};
</script>

<style scoped>

</style>
